<?php

# This is an external configuration file for httpmanage. It's included
# by admin.php3 if the configuration in admin.php3 says so.

# IP's allowed to access the admin-interface
# WARNING: this does a simple regex match, i.e. "123.123.123.2" will
# also allow access to "123.123.123.20" etc. and the dot will match
# any digit!
$ips = array("127.0.0.1");

# enable/disble two rarely used links: 'preview dev' and 'view online'
# ('preview dev' won't work with admin.php3 included via SSI):
$enable_redirect_link = 0;

# password to protect the upload function. NOTE: this must be an encrypted
# password, use the supplied crypt.pl to get one. Leave this empty
# and no password will be necessary:
#$uploadpassword = "83Kt2xGMwZfBw";		# '83Kt2xGMwZfBw' is 'test'
# no password:
$uploadpassword = "";

# your webserver's document root:
$docroot = "/home/www";

# the next two values must not end with a slash:
$onlineserver = "http://localhost:81";
$server = "http://localhost";
# url to this script:
$script = "/testsite/httpmanage/admin.php3";

# this is how the script is called from html files. note that ? and ) must be escaped.
# this is only used to clean up the dev/online diff:
$scripttag = '<\?php include\("/home/www/testsite/httpmanage/admin.php3"\) \?>'."\n";

# the next commands are used for 'put online' resp. 'get online version'. FROMFILE and
# TOFILE will get replaced before calling this command. Option -C for scp means enable compression,
# -Q enables statistics display:
$uploadcmd = '/usr/bin/scp -Q -C -i /home/wwwrun/.ssh/testsite /home/www/FROMFILE tester@localhost:/home/www2/TOFILE';
$downloadcmd = '/usr/bin/scp -Q -C -i /home/wwwrun/.ssh/testsite tester@localhost:/home/www2/FROMFILE DOWNLOADDIR/TOFILE';

# your pathes on the two servers will probably differ, both the urls and the filenames
# in the filesystem. use these options to translate from development to online server.
# set all four to "" if both he relative urls and the filesystem pathes are the same:
$filename_replace = "testsite/httpmanage_html/";	# this is the pattern...
$filename_replace_with = "httpmanage/";			# ...which is replaced with this
$url_replace = "/testsite/httpmanage_html/";
$url_replace_with = "/~dnaber/httpmanage/";

# NOTE: you also need to configure phplib/local.inc and admin.php3

?>
