#!/usr/bin/perl -w
# (C) 1999 Daniel Naber <dnaber@mini.gt.owl.de>
# 0.3, 1999-09-28

# this is a simple a script to put the necessary include into
# every file in $htmldir and below. make a backup before you use it and test
# it with a few files first!

use File::Find;

# configure the next values:
$htmldir = '/home/www/abi97/';			# where to start (this may not be a link)
$substitute_from = '</body>';			# insert just before the end of the file
$substitute_to = '<?php include("/home/www/testsite/httpmanage/admin.php3") ?>'."\n\n".'</body>';
# or use something like this as an SSI include:
# $substitute_to = '<!--#include virtual="/testsite/httpmanage/admin.php3"-->'."\n\n".'</body>';

undef $/;
find(\&for_each_file, $htmldir);
exit;

sub for_each_file {
	
	my $file = $File::Find::name;
	
	if( $file !~ m/\.(htm|html)$/i ) {		# only work on *.htm and *.html files
		print "Ignoring file '$file' (not *.htm,*.html)\n";
		return;
	}
	
	open(INPUT, "<$file") || die "Cannot open '$file': $!";
	$str = <INPUT>;
	close(INPUT);

	if( $str =~ m#$substitute_to#is ) {
		print "File '$file' already contains include -- ignored\n";
		return;
	}
	
	($ct) = ($str =~ s#$substitute_from#$substitute_to#igs);
	$ct = 0 if ( ! $ct );
	print "$ct substitution(s) in '$file'\n";

	if( $ct > 0 ) {
		open(OUTPUT, ">$file") || die "Cannot open '$file' for writing: $!";
		print OUTPUT $str;
		close(OUTPUT);
	}
	
}
